Subject: Group permissions for real and anonymous users?

From: George Entenman <[email-masked]>
Date: Mon, 31 Jul 1995 09:54:37 -0400

Below you will find a bit of pseudocode describing my understanding of
users, classes, group permissions, etc. under wu-ftpd.

Interspersed in the code are four (4) questions.  I'm pretty sure - in
fact I hope - that my understanding is incorrect, but I need your help
to figure out where.

At this point, imagine that a user ftp's into wu-ftpd system.

if user is anonymous
	ftpd chroots to ~ftp

	if anonymous user's domain matches a domain in a class command,
		anonymous user is assigned a special class
		[Q1: How can you tell if the class command works?]

		if the anonymous user's class is in an autogroup command,
			anonymous user is granted command's group privileges
			[Q2: If this command works for anyone, could
			you please explain how you did it and how you
			can tell if it worked or not?]
		else
			anonymous user's access depends on other privileges
		end if

	end if

else if user is real
	ftpd chroots to real user's home directory,
		so real user cannot get to ~ftp directory!
		[Q3: Is there any way to allow access to ~ftp?]

	if real user is declared as groupguest in ftpaccess,
		real user can access files under ~user
	else
		real user can access files under ~user
	end if
		[Q4: Even if the groupguest command worked
		(and I can't get it to), real users still
		can't access ~ftp, can they?]

end if

I would appreciate any help you can give me on these questions.

George Entenman
[email-masked]
MCNC Information Technology Division
PO Box 12889
RTP, NC 27709
919/248-1953 (voice)